Loading...
Searching...
No Matches
juce_WebBrowserComponent.h File Reference

## Classes

class | juce::WebViewLifetimeListener
| Type for a listener registered with WebBrowserComponent::Options::withWebViewLifetimeListener. More...
class | juce::WebBrowserComponent
| A component that displays an embedded web browser. More...
struct | juce::WebBrowserComponent::Resource
| A resource returned by a ResourceProvider. More...
class | juce::WebBrowserComponent::Options
| Options to configure WebBrowserComponent. More...
class | juce::WebBrowserComponent::Options::WinWebView2
| Options specific to the WebView2 backend. More...
class | juce::WebBrowserComponent::Options::AppleWkWebView
| Options specific to the WkWebView backend used on Apple systems. More...
class | juce::WebBrowserComponent::EvaluationResult
| On MacOS, iOS and Linux getResult will return a nullptr if the evaluation failed. More...
struct | juce::WebBrowserComponent::EvaluationResult::Error
| A simple error type class. More...

## Namespaces

namespace | juce

## Macros

#define | JUCE_WEB_BROWSER_RESOURCE_PROVIDER_AVAILABLE 1

## Macro Definition Documentation

## JUCE_WEB_BROWSER_RESOURCE_PROVIDER_AVAILABLE

#define JUCE_WEB_BROWSER_RESOURCE_PROVIDER_AVAILABLE 1

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited